Package org.eclipse.jdt.debug.core

# Enum Class IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy

java.lang.Object
java.lang.Enum<IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy>
org.eclipse.jdt.debug.core.IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy>`, `Constable`

Enclosing interface:
  IJavaExceptionBreakpoint

public static enum IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy extends Enum<IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy>
Constants for telling the debugger for each exception breakpoint how to handle multiple occurrences of the same exception instance, which can happen via re-throwing or multiple finally clauses in the call stack.

Since:
  3.14
See Also:
  - `IJavaExceptionBreakpoint.getSuspendOnRecurrenceStrategy()`
  - `IJavaExceptionBreakpoint.setSuspendOnRecurrenceStrategy(SuspendOnRecurrenceStrategy)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RECURRENCE_UNCONFIGURED`
Signals that this setting has not yet been configured for a given breakpoint
`SKIP_RECURRENCES`
Signals that the breakpoint should not cause suspending more than once.
`SUSPEND_ALWAYS`
Signals that the exception breakpoint should always cause suspending.

## Method Summary

Modifier and Type
Method
Description
`static IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RECURRENCE_UNCONFIGURED

public static final IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy RECURRENCE_UNCONFIGURED
Signals that this setting has not yet been configured for a given breakpoint

### SUSPEND_ALWAYS

public static final IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy SUSPEND_ALWAYS
Signals that the exception breakpoint should always cause suspending.

### SKIP_RECURRENCES

public static final IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy SKIP_RECURRENCES
Signals that the breakpoint should not cause suspending more than once. This does not influence the way how the debugger reacts to uncaught exceptions.

## Method Details

### values

public static IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IJavaExceptionBreakpoint.SuspendOnRecurrenceStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null